get.hpp File Reference

## Functions

template<std::size_t I, typename TupleLike >
constexpr auto | ranges::get (TupleLike &&t) noexcept(noexcept(decltype(detail::adl_get< I >(static_cast< TupleLike &&>(t)))(detail::adl_get< I >(static_cast< TupleLike &&>(t))))) -> decltype(detail::adl_get< I >(static_cast< TupleLike &&>(t)))
template<typename T >
T & | ranges::get (meta::id_t< T > &value) noexcept
template<typename T >
T const & | ranges::get (meta::id_t< T > const &value) noexcept
template<typename T >
T && | ranges::get (meta::id_t< T > &&value) noexcept